Subject: bug#76573: 30.1; native compilation fails for record inside function

From: Andrea Corallo <[email-masked]>
Date: Mon, 12 May 2025 03:45:40 -0400

Eli Zaretskii <[email-masked]> writes:

> Ping!  Any further ideas for how to make progress with this issue?

Compiler-wise I'm okay to demote the error to a warning (with the
proposed patch).

Language-wise I asking myself, why should the user create records
manually if we have facilities like cl-defstruct?  If there's no real
use case I think would be good to mark in the manual 'record' and
'make-record' as language machinery facilities not to be used by the
user.

  Andrea